Bug 433504 - iscsi-initiator-utils does not handle ::ip_address
iscsi-initiator-utils does not handle ::ip_address
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: iscsi-initiator-utils (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Mike Christie
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-19 13:33 EST by Mike Christie
Modified: 2008-05-21 13:22 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2008-0424
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 13:22:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to handle compat and mapped addresses (783 bytes, patch)
2008-02-19 13:48 EST, Mike Christie
no flags Details | Diff

  None (edit)
Description Mike Christie 2008-02-19 13:33:12 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


A couple clients/servers are sending a address ::ip_address. Other clients
handles this, so it would be nice if open-iscsi did too until we can get clients
sending it properly.



Steps to Reproduce:
1. Run iscsiadm -m discovery -t isns against a manually added target with
isnsadm that uses a ipv4 address.
2.
3.
  
Actual results:

Get ip address:
::ip_address


Expected results:

Should get
ip_address

Additional info:
Comment 2 RHEL Product and Program Management 2008-02-19 13:37:55 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Mike Christie 2008-02-19 13:48:29 EST
Created attachment 295317 [details]
patch to handle compat and mapped addresses

iSNS spec states that mapped addreses should be used, but some servers send
both. Simple patch to handle mapped and compat ip addresses until we can fix
targets.
Comment 7 Mike Christie 2008-04-02 11:59:35 EDT
This is in iscsi-initiator-utils-6.2.0.868-0.6.el5.
Comment 10 errata-xmlrpc 2008-05-21 13:22:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0424.html

Note You need to log in before you can comment on or make changes to this bug.